net.dontdrinkandroot.visualization.display

## Class PdfDisplay

- java.lang.Object
- - net.dontdrinkandroot.visualization.display.PdfDisplay

All Implemented Interfaces:
  Display

    public class PdfDisplay
    extends Object
    implements Display

### Constructor Summary

Constructors
Constructor and Description
`PdfDisplay()`

### Method Summary

Methods
`float` `getMargin()`
`protected void` `postProcessGraphics2d(Graphics2D g2d, com.itextpdf.text.Rectangle bounds)` Apply post processing to the graphics after the image has been rendered.
`byte[]` `renderToBytes(Layout<?> layout)`
`void` `renderToFile(Layout<?> layout, File file)`
`void` `renderToOutputStream(Layout<?> layout, OutputStream outputStream)`
`PdfDisplay` `setMargin(float margin)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PdfDisplay

    public PdfDisplay()

### Method Detail

#### renderToOutputStream

    public void renderToOutputStream(Layout<?> layout,
                            OutputStream outputStream)
                              throws IOException,
                                     LayoutException

Specified by:
  `renderToOutputStream` in interface `Display`
Throws:
  `IOException`
  `LayoutException`

#### renderToFile

    public void renderToFile(Layout<?> layout,
                    File file)
                      throws IOException,
                             LayoutException

Specified by:
  `renderToFile` in interface `Display`
Throws:
  `IOException`
  `LayoutException`

#### renderToBytes

    public byte[] renderToBytes(Layout<?> layout)
                         throws IOException,
                                LayoutException

Specified by:
  `renderToBytes` in interface `Display`
Throws:
  `IOException`
  `LayoutException`

#### postProcessGraphics2d

    protected void postProcessGraphics2d(Graphics2D g2d,
                             com.itextpdf.text.Rectangle bounds)

Apply post processing to the graphics after the image has been rendered.

#### getMargin

    public float getMargin()

#### setMargin

    public PdfDisplay setMargin(float margin)